<script setup lang="ts">
const { g, p } = useContentInjected()
const props = defineProps<{
  class?: string
  ux?: any
}>()

const classes = useStyling(
  'scaffoldNavigationHomeLink',
  {
    slots: {
      base: 'truncate',
    },
  },
  props
)
</script>

<template>
  <XText
    as="link"
    :text="g.scaffold.home.text"
    :class="classes.base"
    :to="p(g.scaffold.home.link)"
  />
</template>
